XBMC for Raspberry Pi

This page describes how to install XBMC on a Raspberry Pi running Raspbian. You can either install packages on an existing Raspbian installation, or you can download a prebuilt image and flash it to an SD card.

Installing packages on an existing installation

I've published a Debian archive containing packages for Kodi/XBMC and some dependencies which it requires. This can be setup on an existing Raspbian installation (including the foundation image).

Installing

The easiest way to install the package is to add my archive to your system. To do this, store the following in /etc/apt/sources.list.d/mene.list:

deb http://archive.mene.za.net/raspbian wheezy contrib

and import the archive signing key:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-key 5243CDED

Then update the package lists:

sudo apt-get update

You can then install it as you would with any other package, for example, with apt-get:

sudo apt-get install kodi

The user which you're going to run Kodi as needs to be a member of the following groups:

audio video input dialout plugdev tty

If the input group doesn't exist, you need to create it:

addgroup --system input

and setup some udev rules to grant it ownership of input devices (otherwise the keyboard won't work in Kodi), by placing the following in /etc/udev/rules.d/99-input.rules:

SUBSYSTEM=="input", GROUP="input", MODE="0660"
KERNEL=="tty[0-9]*", GROUP="tty", MODE="0660"

The GPU needs at least 96M of RAM in order for XBMC to run. To configure this add or change this line in /boot/config.txt:

gpu_mem=128

You will need to reboot if you changed this value.

Running

To run XBMC, run kodi-standalone from a VT (i.e. not under X). XBMC accesses the display directly and not via Xorg.

If you want Kodi to automatically start when the system boots, edit /etc/default/kodi and change ENABLED to 1:

ENABLED=1

Run sudo service kodi start to test this.

Release history

  • 15.2-2: Isengard 15.2 release, and most PVR addons.
  • 14.2-1: Helix 14.2 release.
  • 14.1-1: Helix 14.1 release.
  • 14.0-1: Helix 14.0 release.
  • 13.1-2: Link to libshairplay for better AirPlay support.
  • 13.1-1: Gotham 13.1 release.
  • 12.3-1: Frodo 12.3 release.
  • 12.2-1: Frodo 12.2 release.
  • 12.1-1: Frodo 12.1 release. Requires newer libcec (also in my archive).
  • 12.0-1: Frodo 12.0 release. This build requires newer firmware than the raspberrypi.org archive or image contains. Either install the packages from the raspberrypi.org untested archive, the twolife archive or use rpi-update. (Not necessary as of 2013/02/11.)

Flashing an SD card with a prebuilt image

I've built an image containing a Raspbian system with the XBMC packages which you can download and flash to an SD card. You'll need a 1G SD card (which will be completely wiped).

Flashing

Decompress the image using unx:

% unxz raspbian-xbmc-20121029.img.xz

And then copy the image to the SD card device (make sure that you pick the correct device name!)

% sudo cp xbmc-20121029-1.img /dev/sdb

Customising

The image uses the same credentials as the foundation image, username "pi" and password "raspberry". You can use the raspi-config tool to expand the root filesystem, enable overclocking, and various other configuration tasks.

Updating

Both Raspbian and Kodi can be updated using normal Debian mechanisms such as apt-get:

# sudo apt-get update
# sudo apt-get dist-upgrade

Release history

Unstable versions

I've started building packages for the upcoming Jarvis release. These are in the new unstable section of the archive. To install these packages update your source list to look like this:

deb http://archive.mene.za.net/raspbian wheezy contrib unstable

Release history

  • 16.1-1: Jarvis 16.1
  • 16.0-1: Jarvis 16.0
  • 16.0~git20151213.a724f29-1: Jarvis 16.0 Beta 4
  • 15.2-2: Isengard 15.2 with packaging changes to support PVR addons, and most PVR addons.
  • 15.2-1: Isengard 15.2
  • 15.1-1: Isengard 15.1
  • 15.0-1: Isengard 15.0
  • 15.0~git20150702.9ff25f8-1: Isengard 15.0 RC 1.
  • 15.0~git20150501.d1a2c33-1: Isengard 15.0 Beta 1.
  • 14.2-1: Helix 14.2 release.
  • 14.1-1: Helix 14.1 release.
  • 14.0-1: Helix 14.0 release.
  • 14.0~git20141203.35b4f38-1: Helix 14.0 RC 2
  • 14.0~git20141130.ea20b83-1: Helix 14.0 RC 1
  • 14.0~git20141125.4465fbf-1: Helix 14.0 Beta 5
  • 14.0~git20141124.ec361ca-1: Helix 14.0 Beta 4
  • 14.0~git20141116.88a9a44-1: Helix 14.0 Beta 3
  • 14.0~git20141103.d6947be-1: Helix 14.0 Beta 1. This requires firmware as of 2014/10/06 and libcec 2.2.0 (both included in the archive). There are also builds for Jessie but I haven't tested them. PVR addons are also updated.
  • 14.0~git20141002.d2a4ee9-1: Helix 14.0 Alpha 4

Trackback URL for this post:

http://michael.gorven.za.net/trackback/1498

Gotham beta1 not working well

Hello,

I've installed the Gotham Beta 1 today but it worked poorly. On a wired network, I tried to play a 1080p file but it was unwatchable. The video (and audio) stutters a lot. So I reverted back to the Frodo 12.3 from the stable repo and now the same file plays nicely. Seems Gotham's not ready yet, at least for my PI.

And thanks for your repo!

Audio Volume always changing

Asked this already some time ago. Perhaps now someone has an idea / solution?

The raspberry xbmc always changes the volume from set volume to the default volume 1) if I start a new video file 2) if I change a channel in live tv 3) if live TV switches to or from advertisements. If I press once the volume button it changes back to the volume I have set before.

The xbmc on my desktop pc don't shows this behavior. Does anybody know where this comes from and how I could solve it? I don't think that it has to do with XBMC settings, because there I played a lot.

I control volume from my

I control volume from my amplifier, not XBMC, so I'm not sure if this is happening. Are you using PulseAudio? It sounds similar to the known issue mentioned here.

XBMC Gotham

Hi!

Just wanted to say Thanks :)

XBMC is the single most awesome piece of software I have installed in a long time. Thanks to you it is a breeze on the Pi.

Cheers!

Having said that..it seems to

Having said that..it seems to have problems installing following packages: raspberrypi-bootloader libraspberrypi0 libraspberrypi-bin libraspberrypi-dev libraspberrypi-doc

I am doing rpi-update now, maybe it will help.

Those are the firmware

Those are the firmware packages from raspberrypi.org. rpi-update will update the firmware, but not using those packages, so it won't fix the package errors. Have you done an apt-get update && apt-get dist-upgrade? What are the exact errors?

I did both apt-get update &&

I did both apt-get update && apt-get dist-upgrade. Here is the output:

http://pastebin.com/i5RQH7fN

It's failing to write to

It's failing to write to /boot. Check that there's enough free space and that it is writeable.

My bad, Boot was mounted

My bad, Boot was mounted under /media/boot for some reason... Anyways I have remounted it and updated again and it is fine now. Just noticed subtitles in TV Shows are not working in this Beta1 version, hope they fix it soon. If not I will try to rollback to previous version of xbmc Gotham. Thanks a lot!

XBMC 13 Gotham

Hi,

When will be included in the stable repo? Can you give an ETA?

If I enable the unstable repo will be simple to reverse to the stable one?

Thanks.

./mario

I'll add Gotham to the stable

I'll add Gotham to the stable repo when the final release is out. You can go back to stable by removing unstable, and then reinstalling XBMC.

stable

Awesome, your work is higly appricieted and makes all xbmc forks useless to me.

Thank you

Thanks.

./mario

XBMC freezes when exiting

Hi!!

XBMC works on my Raspi perfectly, but I have a problem when I want to exit and get back to my Rasbpian desktop. I click the "X" and "Exit" and the system gets frozen and the screen remains black forever and ever. If I try to ssh to the Raspi from other device I have no problem, it works as usual. But no image on my screen. I see (with ssh), doing "ps ax" that I have xbmc processes still running on the system. I kill the processes but nothing on the screen.

Can someone help me with my problem??

Thanks in advance

How can I fix this?

How can I fix this problem when I try to exit from XBMC and get back to my Rasbpian desktop and the system gets frozen?

XBMC freezing on exit

Hi,

I have the exact same problem. Have you found a fix yet?

XBMC freezing on exit

Hi,

I have the exact same problem. Have you found a fix yet?

Pingback

[...] http://michael.gorven.za.net/raspberrypi/xbmc Raspbian, Softwarescript, [...]

Pingback

[...] (Raspbian mit XBMC) Retro-Gaming-Station (RetroPie) Webserver (Apache) AirPrint Server (mit CUPS – Anleitung) [...]

Video, no sound

Hi, I've just installed xbmc, but in all the videos I try to watch (BluRay 720p x264 Dual AC3), I hear the sound but don't see the video. The strange thing is that if I try to watch the movies/series directly from raspbian with omxplayer, don't have any problem.

Can anyone help me??

Regards and thanks

Mem split

Set your gpu_mem config to 128Mb.

How and where?

How and where?

memory_split

By running sudo raspi-config from a terminal.

Mem split

Thanks!!!! It works!!!

Pingback

[...] tutorial da: http://michael.gorven.za.net/raspberrypi/xbmc [...]

IR Remote on GPIO

Hi I have installed frodo and it is working great but I am having trouble getting a ir remote working i have got the lirc config file but the remote is not recognised by the xbmc installation it needs to be setup in settings remotes gpio but this tab is missing from your build is there a way to put this tab into the settings

Thanks!!

Hi Michael, for those of us

Hi Michael,

for those of us booting an upsteam kernel every now and then, running xbmc upon boot is next to pointless.

I'd be grateful if you would add this small patch for the next build. Thanks!

--- xbmc        2014-02-06 18:52:28.503553248 +0100
+++ /etc/init.d/xbmc    2014-02-06 19:04:08.201949027 +0100
@@ -30,6 +30,9 @@
 # Exit if the package is not installed
 [ -x "$DAEMON" ] || exit 0
 
+# Exit if VCHIQ isn't operable
+[ -c /dev/vchiq ] || exit 0
+
 # Read configuration variable file if it is present
 [ -r /etc/default/$NAME ] && . /etc/default/$NAME
 

You can edit

You can edit /etc/default/xbmc and set ENABLED=0 if you don't want it to start on boot.

High CPU load

Thank you for your work!

Are 60 % CPU load normal? Or is something wrong with my installation? With Xbian it was around 15 %....

Vertical Sync

Try activating vertical sync. It worked for me.

vertical sync?

how do you activate vertical sync?

in idle mode

forgot to say, that this appears in idle mode and I testet it with the "top" command

xbmc no Stabile

Hi,

I have problem with stability of xbmc on raspbian , it's loading normally, but when i try to do something it's crashing, this is log errors :

11:56:47 T:3036979936 ERROR: Error: Requested setting (audiooutput.guisoundmode) was not found. It must be case-sensitive

11:56:54 T:3026187280 ERROR: CecLogMessage - failed to release the previous LA

11:56:54 T:3026187280 ERROR: CecLogMessage - could not open a connection (try 1)

11:56:58 T:3036979936 WARNING: no keymap support (requires /dev/tty0 - CONFIG_VT)

11:57:05 T:2887775248 WARNING: Previous line repeats 1 times.

thx in advance

Raspbian with XBMC or Raspbian?

Hi,

Thanks for this great guide!

Is Raspbian with XBMC running just as smooth as Raspbmc which I think might be optimized somehow for XBMC?

I ask because I also need the Pi for other stuff like a print server, but even Raspbmc - also being built upon Debian - allows for installing extra packages from the terminal.

But if Raspbian runs XBMC just as well as Raspbmc, this might be the better choice.

Regards, Martin

XBMC or Raspbian ?

since it's different for everybody depending what other stuff you're running, I beleive the best thing to do for all is try both. SD card are cheaper, so why not build several solution. Personnaly, I'm running Micheal XBMC compilation, a ncid server, an Appache server and few other stuff. Everything run perfectly. I did try other but came back with this one for better performance.

need quick help please!

I am a newbie to this and have a small question. I understand most of the process for installing on an existing installation of raspbian, except for the first step. which in turn is stopping me from going any furthur.

when I type

deb http://archive.mene.za.net/raspbian wheezy contrib

into the terminal I get

bash: deb: command not found

How do I store your archive in /etc/apt/sources.list.d/mene.list: ??? I know this is simple but I cannot figure it out. Hopefully someone can help me. Thank you

open and save it in the file

the "deb http://archive.mene.za.net/raspbian wheezy contrib" should not be typed in the commandline as you have noticed but should be inserted into the file using a text editor like nano to copy/paste or type the line. The mene.list file can be opened with nano or another text editor on your system.

hope that helped

i dont quite understand

can you explain this to a noob?

infra red remote on gpio pins

Hi mike I am trying to get an infra red remote working with your 12.3 build I have lirc config file set up on root irw records the key presses through ssh but i cannot find the tab in xbmc system to enable gpio remote is it possible for you to include this in a future build please

infrared remote

bump as no answers

for those who can view high resolution youtube

I needed to add the following line in config.txt in order to view higher resolution video:

start_x=1

Other than this all I need for xbmc to work is on the page.

Pingback

[...] the information post on this link:http://michael.gorven.za.net/raspberrypi/xbmc , one can install xbmc and use it. Yet in my case, when I added the youtube plugin, the video [...]

unstable gone?

hi, did you pull the unstable releases?

I added the unstable repository, but I'm getting a "Release 'unstable' not found for xbmc"

cheers jens

Failure to see XMBC on Airplay

I didn't see this on your (rather good) page, but if your new Raspberry Pi based XMBC device does not show up as a new AirPlay destination when you play a video on your iPad (or other IOS device) it could be that you need to install the avahi-daemon.

This can be done with:

sudo apt-get install avahi-daemon

Other than that this page has all I needed.

Thanks

projectm visualizations

Hi, thanks for this package with XBMC, it works very well. The only not working feature for me are projectm visulizations, I just get a black screen. Is this my fault or is a limitation of RaspberryPi? Do I need to install any additional package?

Thanks

deinterlace settings

For some reason, deinterlace settings does not work. Even if deinterlace is set to "yes" for "all video", iptv is steel showing interlaced.

on different OS (tested on: raspbmc, xbian) - it works fine. (12.2 xbmc ver)

Any ideas?

start xbmc-standalone ended with errors

Hi,

I run a raspberry pi operated via SSH and connected via HDMI to a TV screen using the latest versions of raspbian and your XBMC. When I start xbmc-standalone I get the followig :

Login: pi Linux raspberrypi 3.10.25+ #622 PREEMPT Fri Jan 3 18:41:00 GMT 2014 armv6l

The programs included with the Debian GNU/Linux system are free software; the exact distribution terms for each program are described in the individual files in /usr/share/doc/*/copyright.

Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent permitted by applicable law. Last login: Wed Jan 15 13:15:28 2014 from 192.168.0.22 pi@raspberrypi ~ $ xbmc-standalone terminate called after throwing an instance of 'dbiplus::DbErrors' Aborted (core dumped) Crash report available at /home/pi/xbmc_crashlog-20140115_132202.log terminate called after throwing an instance of 'dbiplus::DbErrors' Aborted (core dumped) Crash report available at /home/pi/xbmc_crashlog-20140115_132223.log

pi@raspberrypi ~ $ grep -i "error" /home/pi/xbmc_crashlog-20140115_132223.log 13:22:18 T:3036353248 ERROR: Error: Requested setting (audiooutput.guisoundmode) was not found. It must be case-sensitive 13:22:22 T:3025560592 ERROR: CecLogMessage - failed to release the previous LA 13:22:22 T:3025560592 ERROR: CecLogMessage - could not open a connection (try 1) 13:22:22 T:3036353248 ERROR: SQL: SQL error or missing database pi@raspberrypi ~ $

do you have any ideas how I can fix this ?

Thanks

Werner

PVR

I'm running alpha11. Have you included the PVR addon you talked earlier? If yes, how/what do we do to enable it?

Thx

Keyboard doesn't work

Hi,

Thank you for the instructions to install XBMC! After installation, keyboard doesn't work with XBMC. Do you know what could I do to fix it?

Thanks again!

I assume that you didn't use

I assume that you didn't use my prebuilt image, in which case you need to follow the instructions above under "Installing" regarding the input group and 99-input.rules.